import { defineConfig } from "rollup";
import resolve from "@rollup/plugin-node-resolve";
import { terser } from "rollup-plugin-terser";
import replace from "rollup-plugin-replace";

export default defineConfig({
  input: "index.js",
  output: {
    file: "dist/vue.js",
    format: "iife",
    name: "$HFC_VUE",
  },
  plugins: [
    resolve(),
    replace({
      "process.env.NODE_ENV": JSON.stringify("production"),
    }),
    terser({
      compress: {
        ecma: 2015,
        pure_getters: true,
      },
      safari10: true,
    }),
  ],
});
